> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-22654f5b-docs-restapi-chat-api-eng-37141.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Flag a CometChat message by message ID with REST API to send it into the moderation review workflow.

# Flag a message



## OpenAPI

````yaml post /messages/{id}/flagged
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /messages/{id}/flagged:
    post:
      tags:
        - Moderation
      summary: Flag a message
      description: >-
        Flags a specific message for moderation review. The flagged message is
        presented to a moderator for evaluation, who can then decide to either
        block the message or approve it based on the review outcome.
      operationId: chat-api-flag-message
      parameters:
        - $ref: '#/components/parameters/requiredonBehalfOf'
        - name: id
          in: path
          description: Id of the message of the message to be flagged.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: Message ID
              value: ''
      requestBody:
        content:
          application/json:
            schema:
              required:
                - id
              properties:
                id:
                  description: >-
                    Unique identifier of the moderation reason used to flag the
                    message.
                  type: string
                  example: spam
              type: object
            examples:
              Flag Message:
                summary: Flag a message for moderation
                value:
                  id: spam
      responses:
        '200':
          description: Delete Reasons
          content:
            application/json:
              schema:
                type: object
              example:
                success: true
                message: Message 540092 has been flagged successfully.
      security:
        - apiKey: []
components:
  parameters:
    requiredonBehalfOf:
      name: onBehalfOf
      in: header
      description: UID of the user on whose behalf the action is performed.
      required: true
      schema:
        type: string
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````